Public Member Functions | Static Public Attributes | Protected Attributes

# Heuristic< R, M > Class Template Reference

Inheritance diagram for Heuristic< R, M >:

List of all members.

## Public Member Functions
virtual void | run ()
| SafeSearch guarantees that your method will not loop! But your method may become very slow... avoid using this method.
Solution< R > & | search (const Solution< R > &s, double timelimit=100000000, double target_f=0)
pair< Solution< R > &, Evaluation< M > & > & | search (const Solution< R > &s, const Evaluation< M > &e, double timelimit=100000000, double target_f=0)
virtual Population< R > & | search (const Population< R > &p, double timelimit=100000000, double target_f=0)
virtual pair< Population< R > &, FitnessValues & > & | search (const Population< R > &p, ConstFitnessValues &ev, double timelimit=100000000, double target_f=0)
virtual void | exec (Solution< R > &s, double timelimit, double target_f)
virtual void | exec (Solution< R > &s, Evaluation< M > &e, double timelimit, double target_f)
virtual void | exec (Population< R > &p, double timelimit, double target_f)
virtual void | exec (Population< R > &p, FitnessValues &ev, double timelimit, double target_f)
## Static Public Attributes
static const int | SAFE_SEARCH_TOLERANCE = 2
## Protected Attributes
Solution< R > * | log_solution
Population< R > | log_solution_set
long | log_timelimit
double | log_efv

### template<class R, class M = OPTFRAME_DEFAULT_MEMORY>
class Heuristic< R, M >

## Member Function Documentation

template<class R, class M = OPTFRAME_DEFAULT_MEMORY>

virtual void Heuristic< R, M >::run | ( |  | ) | `[inline, virtual]`

SafeSearch guarantees that your method will not loop! But your method may become very slow... avoid using this method.

safeSearch é um método Solução -> Solução, parametrizado pelo tempo máximo de execução desejado para a heurística. Para garantir que a heurística terminará no tempo limite desejado o método é iniciado em uma thread que é encerrada logo após esse tempo.
Caso o método termine normalmente sua solução é retornada; caso contrário uma solução NULL é retornada.

Implements Runnable.

The documentation for this class was generated from the following file:

- OptFrame/Heuristic.hpp

All Classes Functions